"Property changes" tab does not appear when all issue journals have both notes and property
changes
Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 4.2.10

Resolution: Fixed Affected version: 41.2
Description

Property changes tab of an issue is supposed to be displayed when the issue has journals with property changes. However, the tab
is not displayed when all journals of the issue have both notes and property changes. The screenshots below describe the issue.

There are two journals, both containing notes and property changes. But "Property changes" tab is not displayed:
screenshot-20230128-1.png

A third journal has been added. It has no notes, only property changes. After adding the third journal, Property changes tab appears:
screenshot-20230128-2.png

At this point, Property changes tab displays all three journals. While Property changes tab displays all three journals with or without
notes, the tab itself is only displayed when there are journals that do not contain notes but only property changes:
screenshot-20230128-3.png

Related issues:
Related to Redmine - Defect #33338: Property changes tab does not show journa... Closed

Associated revisions

Revision 22085 - 2023-02-01 08:11 - Go MAEDA

"Property changes" tab does not appear when all issue journals have both notes and property changes (#38217).

Patch by Go MAEDA.

Revision 22089 - 2023-02-03 01:58 - Go MAEDA
Merged r22085 from trunk to 5.0-stable (#38217).

Revision 22090 - 2023-02-03 02:01 - Go MAEDA
Merged r22085 from trunk to 4.2-stable (#38217).

History

#1 - 2023-01-28 08:30 - Go MAEDA
- Related to Defect #33338: Property changes tab does not show journals with both property changes and notes added

#2 - 2023-01-28 08:33 - Go MAEDA
- File 38217.patch added

This is a patch to fix the problem.

#3 - 2023-01-31 10:06 - Go MAEDA
- Target version set to 4.2.10

- Affected version set to 4.1.2

Setting the target version to 4.2.10.

#4 - 2023-02-01 08:11 - Go MAEDA
- Subject changed from Property changes tab is not displayed in issue history if all journals have both notes and property changes to "Property
changes" tab does not appear when all issue journals have both notes and property changes

- Status changed from New to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch.

#5 - 2023-02-03 02:01 - Go MAEDA

- Status changed from Resolved to Closed
